Вы находитесь здесь

Форум

Worked on MINT 18.3 but doesn't on 19.2?

Автор Replies
flatiron Friday 16 August 2019 at 20:48
flatironAnonymous

I could get both "Dreamfall: The Longest Journey", and "The Longest Journey" (with some bugs and pixleation but it worked) to work with POL in MINT 18.3, but now for some reason I can't get them to work at all.

 

I also cannot send a crash report because my POL is "out of date" even though I just installed it.

 

Is there anyway to get POL to work with these games on MINT 19.2?

Dadu042 Sunday 18 August 2019 at 2:49
Dadu042
Moderator

Hello, what editions of these games do you have ?: CD? steam ? GOG ?

Perhaps useful: http://wiki.playonlinux.com/index.php/Manual_Installations

 

> I also cannot send a crash report because my POL is "out of date" even though I just installed it.

 

It's because this system is off.

Edited by Dadu042

flatiron Sunday 18 August 2019 at 21:48
flatironAnonymous

It's the GOG version. Install non listed didn't work either. I am pretty sure that there is some program package missing from 19.2 because the instillation doesn't even go right. At the points where things like gecko are supposed to be downloaded I keep getting POL crashes and eventually a "fatal error".

Edited by flatiron

flatiron Friday 30 August 2019 at 6:55
flatironAnonymous

I could not get POL to work at all in MINT 19.2. I mean, even when just downloading the components like gecko it would give me error boxes until finally it would give me a fatal error box and stop altogether.

 

I have switched back to MINT 18.3, but for some reason now using the TLJ installer no longer works, it freezes when downloading "WindowsXP-KB975337-x86-ENU.exe", and when I try to bypass this by using the install a non listed program option, it will install it, but it will not display right. At first it just displayed the game in a small window, and now it completely screws up the resolution of my screen and one box that I can partly see when this happens says that I have a database deficiency.

 

I have attached images of the install process using the TLJ installer. (no I haven't because the forum won't let me)

 

 

And why doesn't POL work at all in 19.2?

 

Here's stuff from the debug window

 

08/29/19 21:45:20 - [POL_Download_Resource] Message: Download MD5 matches
08/29/19 21:45:20 - [POL_System_CheckFS] Message: Checking filesystem for WindowsXP-KB975337-x86-ENU.exe
08/29/19 21:45:20 - [POL_Wine] Message: Running wine-1.3.32-tlj2 WindowsXP-KB975337-x86-ENU.exe /extract:C:\Tmp /q (Working directory : /home/s/.PlayOnLinux/ressources)
err:module:load_builtin_dll failed to load .so lib for builtin L"winex11.drv": libSM.so.6: cannot open shared object file: No such file or directory
err:module:load_builtin_dll failed to load .so lib for builtin L"winex11.drv": libSM.so.6: cannot open shared object file: No such file or directory
err:module:load_builtin_dll failed to load .so lib for builtin L"winex11.drv": libSM.so.6: cannot open shared object file: No such file or directory
err:module:load_builtin_dll failed to load .so lib for builtin L"winex11.drv": libSM.so.6: cannot open shared object file: No such file or directory
Application tried to create a window, but no driver could be loaded.
Unknown error (127).
err:systray:initialize_systray Could not create tray window
Application tried to create a window, but no driver could be loaded.
Unknown error (127).

 

 

 

 

 

 

 

Dreamfall TLJ now has no sound for no apparent reason. How to fix?

Dadu042 Friday 30 August 2019 at 18:08
Dadu042
Moderator

> And why doesn't POL work at all in 19.2?

 

It's still a mistery for me.

 

About: err:module:load_builtin_dll failed to load .so lib for builtin L"winex11.drv": libSM.so.6: cannot open shared object file: No such file or directory

->  http://wiki.playonlinux.com/index.php/Troubleshooting_Common_Problems#Missing_files

 

 

levap Friday 30 August 2019 at 23:50
levapAnonymous

What wine version? Older then 2.8 does not works on 19.2 with playonlinux

See https://www.playonlinux.com/en/topic-16681.html

flatiron Monday 2 September 2019 at 8:31
flatironAnonymous

Is there any change that POL will be fixed so that it will work? This stuff seems to be a bit over my head.

Dadu042 Tuesday 3 September 2019 at 10:27
Dadu042
Moderator

I think that POL v4 will not receive updates, perhaps you should ask in LinuxMint forums, there's maybe a trick to do.  Work in progress on v5 but no roadmap yet.

Вы находитесь здесь: Index > PlayOnLinux > Worked on MINT 18.3 but doesn't on 19.2?